<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:background="@drawable/all_of_main_bg"
    tools:context=".ui.YellowStartFragment">

    <LinearLayout
        android:id="@+id/recordBtn"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:layout_marginTop="65dp"
        app:layout_constraintTop_toTopOf="parent"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/recordImg"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="90dp"
            android:layout_marginStart="20dp"
            android:background="@drawable/yellow_white"
            android:src="@drawable/yellow_start_item1"
            app:tint="@color/main_title_text"
            android:padding="26dp"
            />
        <ImageView
            android:id="@+id/diyImg"
            android:layout_width="0dp"
            android:layout_height="90dp"
            android:layout_weight="1"
            android:layout_marginHorizontal="20dp"
            android:background="@drawable/yellow_white"
            android:src="@drawable/yellow_start_item2"
            app:tint="@color/main_title_text"
            android:padding="26dp"
            />
    </LinearLayout>
    <LinearLayout
        android:id="@+id/listView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_marginTop="50dp"
        app:layout_constraintTop_toBottomOf="@+id/recordBtn"
        >
        <androidx.recyclerview.widget.RecyclerView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="6dp"
            android:visibility="visible"
            android:id="@+id/recyclerView"/>
        <LinearLayout
            android:id="@+id/emptyView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:layout_marginTop="50dp"
            android:orientation="vertical">
            <ImageView
                android:layout_width="80dp"
                android:layout_height="80dp"
                app:tint="@color/simple_white"
                android:src="@drawable/empty_list_ic"/>
            <com.design.mischiefgo.ut.DefaultTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="14sp"
                android:text="@string/no_record_found"/>
        </LinearLayout>

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>